require "screens/middleware/redirect_middleware"

module Screens
  class Engine < ::Rails::Engine
    isolate_namespace Screens

    # assets
    initializer "screens.assets.precompile" do |app|
      app.config.assets.precompile += %w( screens.js screens.css )
    end

    initializer "my_gem.middleware" do |app|
      app.config.app_middleware.use Screens::RedirectMiddleware
    end

  end
end